package edu.ucf.rp2;

public class BingAd extends Ad {
	
	
	public BingAd (String clickTrackURL) {
		this.clickTrackURL = clickTrackURL;
	}
	
	
	protected String extractDestURL () {	
		// removes head from Google Ad URL
		String webUrl_coded = 
				clickTrackURL.substring(clickTrackURL.indexOf("u=")+2, clickTrackURL.length());
	    
		// splits the Google URL into substrings at each coded ASCII value
		String[] subStr = webUrl_coded.split("%");
		
		String webUrl_decoded = subStr[0];
		String asciiHex       = "";
		String asciiSymbol    = "";
		String convertedStr   = "";
		   
		for(int j=1; j<subStr.length; j++)
		{
			// extract hex value from substring
			asciiHex = subStr[j].substring(0,2);
			// converts hex value to ASCII symbol
			asciiSymbol = hex2ascii(asciiHex);
			// replace hex value with ASCII symbol
			convertedStr = subStr[j].replace(asciiHex, asciiSymbol);
			// concatenates the string fragments into a final string
			webUrl_decoded = webUrl_decoded + convertedStr;
		}
		
		if (!webUrl_decoded.startsWith("http://")) {
			return "http://" + webUrl_decoded;
		} else {
			return webUrl_decoded;
		}
	}
	
	
	public int sec1Length () {
		return clickTrackURL.indexOf("&u=");
	}
	
	
}
